Unable to resolve module `lib-jitsi-meet/lib-jitsi-meet.min` from

#1

Hi!
When I run the app on the mobile, the error info as:

error: bundling failed: Error: Unable to resolve module lib-jitsi-meet/lib-jitsi-meet.min from /mnt/jitsi-meet-master/react/features/base/lib-jitsi-meet/_.native.js: Module lib-jitsi-meet/lib-jitsi-meet.min does not exist in the Haste module map

This might be related to https://github.com/facebook/react-native/issues/4968
To resolve try the following:

  1. Clear watchman watches: watchman watch-del-all.
  2. Delete the node_modules folder: rm -rf node_modules && npm install.
  3. Reset Metro Bundler cache: rm -rf /tmp/metro-bundler-cache-* or npm start -- --reset-cache. 4. Remove haste cache: rm -rf /tmp/haste-map-react-native-packager-*.
    at ModuleResolver.resolveDependency (/mnt/jitsi-meet-master/node_modules/metro/src/node-haste/DependencyGraph/ModuleResolution.js:161:1460)
    at ResolutionRequest.resolveDependency (/mnt/jitsi-meet-master/node_modules/metro/src/node-haste/DependencyGraph/ResolutionRequest.js:91:16)
    at DependencyGraph.resolveDependency (/mnt/jitsi-meet-master/node_modules/metro/src/node-haste/DependencyGraph.js:272:4579)
    at dependencies.map.relativePath (/mnt/jitsi-meet-master/node_modules/metro/src/DeltaBundler/traverseDependencies.js:376:19)
    at Array.map ()
    at resolveDependencies (/mnt/jitsi-meet-master/node_modules/metro/src/DeltaBundler/traverseDependencies.js:374:16)
    at /mnt/jitsi-meet-master/node_modules/metro/src/DeltaBundler/traverseDependencies.js:212:33
    at Generator.next ()
    at step (/mnt/jitsi-meet-master/node_modules/metro/src/DeltaBundler/traverseDependencies.js:297:313)
    at /mnt/jitsi-meet-master/node_modules/metro/src/DeltaBundler/traverseDependencies.js:297:473
    BUNDLE [android, dev] ./index.android.js ▓▓▓▓▓▓▓▓░░░░░░░░ 51.3% (989/1381), failed.

I do flow the suggest command,but it’s not work.
How can I solve this problem?

#2

Hm, I don’t think we’re seeing this…

I’d recommend starting from scratch (with a clean origin without local modifications of your own): stop/kill react-native start (which may have been automatically started in a separate terminal window/tab when you did react-native run-android or react-native run-ios), delete node_modules/ (or git clean -dfx but be careful you don’t lose your uncommitted local changes), do npm install again and make sure it completes successfully keeping an eye on output from webpack mentioning lib-jitsi-meet.

#3

I have been solve this problem,Thanks.

1 Like
#4

same error , can u tell me how do u fix it please? thanks

#5

Read this article:https://www.php2.cc/article-2687-1.html

1 Like
#6

thanks , the build works succussfuly but the maven repository is empty
what’s the problem here ?

BUILD SUCCESSFUL in 21m 53s
400 actionable tasks: 362 executed, 38 up-to-date
~/jitsi-meet
/tmp/repo ~/jitsi-meet
~/jitsi-meet
fatal: l’étiquette ‘android-sdk-2.1.0’ existe déjà